Get Cluster Instances kubeconfig by name.
GET /api/v1/cluster/instances/name//status/kubeconfig. Orchestrator API reference.
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"tags": {},
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "CLUSTER_RUN_STATE_UNSPECIFIED",
"clusterPolicyId": "<string>",
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"edgeNodeSummaries": [
{
"name": "<string>",
"id": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "RUN_STATE_UNSPECIFIED",
"tags": {},
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
],
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"minfo": {
"manufacturer": "<string>",
"productName": "<string>",
"version": "<string>",
"serialNumber": "<string>",
"uuid": "<string>",
"compatible": "<string>",
"biosVendor": "<string>",
"biosVersion": "<string>",
"biosReleaseDate": "<string>",
"hSMStatus": "DEVICE_HW_SECURITY_MODULE_STATUS_UNSPECIFIED",
"hSMInfo": "<string>",
"endorsementKey": "<string>"
},
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"Cpu": {
"Utilization": 123
},
"devError": [
{
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
],
"projectId": "<string>",
"title": "<string>",
"clusterID": "<string>",
"memorySummary": {
"deviceMemoryMB": 123,
"allocatedAppsMB": 123,
"allocatedEveMB": 123,
"usedEveMB": 123,
"availableForNewApps": 123
},
"debugKnob": true,
"debugKnobExpiryTime": "2023-11-07T05:31:56Z",
"projectName": "<string>",
"appInstCount": 123,
"location": "<string>",
"edgeviewActive": true,
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"cpu": {
"Utilization": 123
},
"serverNodeSummaries": [
{
"id": "<string>",
"name": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"tags": {},
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"swState": "SW_STATE_UNSPECIFIED",
"Cpu": {
"Utilization": 123
},
"projectId": "<string>",
"title": "<string>",
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"memorySummary": {
"AllocatedMB": 123,
"UsedMB": 123,
"AvailableMB": 123
},
"swInfo": [
{
"version": "<string>",
"hash": "<string>",
"state": "SW_STATE_UNSPECIFIED",
"disk": "<string>",
"downloadProgress": 123,
"imageName": "<string>"
}
],
"appName": "<string>",
"projectName": "<string>",
"deviceName": "<string>",
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"agentNodeSummaries": [
{
"id": "<string>",
"name": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"tags": {},
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"swState": "SW_STATE_UNSPECIFIED",
"Cpu": {
"Utilization": 123
},
"projectId": "<string>",
"title": "<string>",
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"memorySummary": {
"AllocatedMB": 123,
"UsedMB": 123,
"AvailableMB": 123
},
"swInfo": [
{
"version": "<string>",
"hash": "<string>",
"state": "SW_STATE_UNSPECIFIED",
"disk": "<string>",
"downloadProgress": 123,
"imageName": "<string>"
}
],
"appName": "<string>",
"projectName": "<string>",
"deviceName": "<string>",
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"nodesJobName": "<string>",
"orchestratorClusterID": "<string>",
"orchestratorClusterRunState": "RUN_STATE_UNSPECIFIED",
"orchestratorClusterErrMsg": {
"description": "<string>",
"severity": "<string>",
"objectName": "<string>"
},
"orchestratorClusterWarnMsg": {
"description": "<string>",
"severity": "<string>",
"objectName": "<string>"
},
"rawOrchestratorClusterStatus": "<string>",
"edgeNodeJobNames": [
"<string>"
],
"nodeRefreshJobNames": [
"<string>"
],
"nodesJobID": "<string>",
"tmcStatus": {
"health": "TMC_CLUSTER_HEALTH_UNKNOWN",
"status": "TMC_CLUSTER_STATUS_UNKNOWN",
"version": "<string>",
"clusterGroupName": "<string>"
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed
Response
A successful response.
ClusterInstanceStatusMsg encapsulates the status of an cluster instance
System defined universally unique Id of the cluster instance
[0-9A-Za-z-]+User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the cluster instance. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
Type of cluster
CLUSTER_TYPE_UNSPECIFIED, CLUSTER_TYPE_K3S, CLUSTER_TYPE_TKG_ATTACH project id which the given cluster instance belong to
SPU details
ADMIN_STATE_UNSPECIFIED, ADMIN_STATE_CREATED, ADMIN_STATE_DELETED, ADMIN_STATE_ACTIVE, ADMIN_STATE_INACTIVE, ADMIN_STATE_REGISTERED, ADMIN_STATE_ARCHIVED, ADMIN_STATE_DELETION_PENDING operation status
CLUSTER_RUN_STATE_UNSPECIFIED, CLUSTER_RUN_STATE_INIT, CLUSTER_RUN_STATE_PROVISIONING_SEED_SERVER, CLUSTER_RUN_STATE_PROVISIONED_SEED_SERVER, CLUSTER_RUN_STATE_UNHEALTHY, CLUSTER_RUN_STATE_PROVISIONING_NODES, CLUSTER_RUN_STATE_HEALTHY, CLUSTER_RUN_STATE_PARTIALLY_HEALTHY, CLUSTER_RUN_STATE_OFFLINE System defined universally unique Id of the cluster policy
[0-9A-Za-z-]+Minimum number of edge device required for the cluster instance
Maximum number of edge device allowed in the cluster instance
Minimum number of server nodes required for the cluster instance
Maximum number of server nodes allowed in the cluster instance
Minimum number of agent nodes required for the cluster instance
Maximum number of agent nodes allowed in the cluster instance
Device summaries
Show child attributes
Show child attributes
memory summary
Show child attributes
Show child attributes
storage summary
Show child attributes
Show child attributes
CPU details
Show child attributes
Show child attributes
Cluster Server Nodes (appInstances) summaries
Show child attributes
Show child attributes
Cluster Agent Nodes (appInstances) summaries
Show child attributes
Show child attributes
Name of the job object tracking ClusterNodes deployment
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+Orchestrator cluster object ID
256Orchestrator cluster object's state
RUN_STATE_UNSPECIFIED, RUN_STATE_ONLINE, RUN_STATE_HALTED, RUN_STATE_INIT, RUN_STATE_REBOOTING, RUN_STATE_OFFLINE, RUN_STATE_UNKNOWN, RUN_STATE_UNPROVISIONED, RUN_STATE_PROVISIONED, RUN_STATE_SUSPECT, RUN_STATE_DOWNLOADING, RUN_STATE_RESTARTING, RUN_STATE_PURGING, RUN_STATE_HALTING, RUN_STATE_ERROR, RUN_STATE_VERIFYING, RUN_STATE_LOADING, RUN_STATE_CREATING_VOLUME, RUN_STATE_BOOTING, RUN_STATE_MAINTENANCE_MODE, RUN_STATE_START_DELAYED, RUN_STATE_BASEOS_UPDATING, RUN_STATE_PREPARING_POWEROFF, RUN_STATE_POWERING_OFF, RUN_STATE_PREPARED_POWEROFF Error message from Orchestrator cluster object
Show child attributes
Show child attributes
Warning message from Orchestrator cluster object
Show child attributes
Show child attributes
Raw status of Orchestrator cluster object
256Array of job names which are tracking dynamic device addition/deletion
Array of job names which are tracking cluster nodes refresh action
ID of the job object tracking ClusterNodes deployment
[0-9A-Za-z-]+Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/name/{name}/status/kubeconfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"tags": {},
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "CLUSTER_RUN_STATE_UNSPECIFIED",
"clusterPolicyId": "<string>",
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"edgeNodeSummaries": [
{
"name": "<string>",
"id": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "RUN_STATE_UNSPECIFIED",
"tags": {},
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
],
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"minfo": {
"manufacturer": "<string>",
"productName": "<string>",
"version": "<string>",
"serialNumber": "<string>",
"uuid": "<string>",
"compatible": "<string>",
"biosVendor": "<string>",
"biosVersion": "<string>",
"biosReleaseDate": "<string>",
"hSMStatus": "DEVICE_HW_SECURITY_MODULE_STATUS_UNSPECIFIED",
"hSMInfo": "<string>",
"endorsementKey": "<string>"
},
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"Cpu": {
"Utilization": 123
},
"devError": [
{
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
],
"projectId": "<string>",
"title": "<string>",
"clusterID": "<string>",
"memorySummary": {
"deviceMemoryMB": 123,
"allocatedAppsMB": 123,
"allocatedEveMB": 123,
"usedEveMB": 123,
"availableForNewApps": 123
},
"debugKnob": true,
"debugKnobExpiryTime": "2023-11-07T05:31:56Z",
"projectName": "<string>",
"appInstCount": 123,
"location": "<string>",
"edgeviewActive": true,
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"cpu": {
"Utilization": 123
},
"serverNodeSummaries": [
{
"id": "<string>",
"name": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"tags": {},
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"swState": "SW_STATE_UNSPECIFIED",
"Cpu": {
"Utilization": 123
},
"projectId": "<string>",
"title": "<string>",
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"memorySummary": {
"AllocatedMB": 123,
"UsedMB": 123,
"AvailableMB": 123
},
"swInfo": [
{
"version": "<string>",
"hash": "<string>",
"state": "SW_STATE_UNSPECIFIED",
"disk": "<string>",
"downloadProgress": 123,
"imageName": "<string>"
}
],
"appName": "<string>",
"projectName": "<string>",
"deviceName": "<string>",
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"agentNodeSummaries": [
{
"id": "<string>",
"name": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"tags": {},
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"swState": "SW_STATE_UNSPECIFIED",
"Cpu": {
"Utilization": 123
},
"projectId": "<string>",
"title": "<string>",
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"memorySummary": {
"AllocatedMB": 123,
"UsedMB": 123,
"AvailableMB": 123
},
"swInfo": [
{
"version": "<string>",
"hash": "<string>",
"state": "SW_STATE_UNSPECIFIED",
"disk": "<string>",
"downloadProgress": 123,
"imageName": "<string>"
}
],
"appName": "<string>",
"projectName": "<string>",
"deviceName": "<string>",
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"nodesJobName": "<string>",
"orchestratorClusterID": "<string>",
"orchestratorClusterRunState": "RUN_STATE_UNSPECIFIED",
"orchestratorClusterErrMsg": {
"description": "<string>",
"severity": "<string>",
"objectName": "<string>"
},
"orchestratorClusterWarnMsg": {
"description": "<string>",
"severity": "<string>",
"objectName": "<string>"
},
"rawOrchestratorClusterStatus": "<string>",
"edgeNodeJobNames": [
"<string>"
],
"nodeRefreshJobNames": [
"<string>"
],
"nodesJobID": "<string>",
"tmcStatus": {
"health": "TMC_CLUSTER_HEALTH_UNKNOWN",
"status": "TMC_CLUSTER_STATUS_UNKNOWN",
"version": "<string>",
"clusterGroupName": "<string>"
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}